Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.util
Interface MutableList<E>

All Superinterfaces:
  java.util.Collection<E>, java.lang.Iterable<E>, java.util.List<E>

    public interface MutableList<E>

extends java.util.List<E>

A mutable list type, representing the QVT Stdlib list type in runtime.

Since:
  2.0

Method Summary
`void` | `append(E element)` Adds a value at the end of the mutable list.
`void` | `insertAt(E element, int at)` Adds element at the given position.
`java.lang.String` | `joinfields(java.lang.String sep, java.lang.String begin, java.lang.String end)` Creates a string separated by sep and delimited with begin and end strings.
`void` | `prepend(E element)` Adds element at the beginning of the mutable list.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### append

    void append(E element)

  Adds a value at the end of the mutable list.

  Parameters:
    `element` - the element object to be added

### prepend

    void prepend(E element)

  Adds element at the beginning of the mutable list.

  Parameters:
    `element` - the element object to be prepended

### insertAt

    void insertAt(E element,
                  int at)

  Adds element at the given position.

  Parameters:
    `element` -
    `at` - the 1-based position (in compliance with OCL convention).

### joinfields

    java.lang.String joinfields(java.lang.String sep,
                                java.lang.String begin,
                                java.lang.String end)

  Creates a string separated by sep and delimited with begin and end strings.

  Parameters:
    `sep` - separator string
    `begin` - starting delimiter
    `end` - ending delimiter
  Returns:
    the composed string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD